/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

package com.sun.javafx.print;

/**
 * An enumeration used to specify the Units used for Paper measurement
 * @since JavaFX 8.0
 */
public enum Units {
    /**
     * Specify Paper size in millimetres.
     */
    MM,
    /**
     * Specify Paper size in inches.
     */
    INCH,
    /**
     * Specify Paper size in points (1/72 of an inch).
     */
    POINT
}
