/*
 * Copyright (c) 2011, 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

package javafx.geometry;

/**
 * A set of values for describing vertical positioning and alignment.
 * @since JavaFX 2.0
 */
public enum VPos {
    /**
     * Indicates top vertical position.
     */
    TOP,

    /**
     * Indicates centered vertical position.
     */
    CENTER,

    /**
     * Indicates baseline vertical position.
     */
    BASELINE,

    /**
     * Indicates bottom vertical position.
     */
    BOTTOM
}
